# png::detail::basic_packed_pixel_proxy< pixel, reference > Class Template Reference

`#include <pixel_buffer.hpp>`

List of all members.

## Public Member Functions

| basic_packed_pixel_proxy (reference ref)
| basic_packed_pixel_proxy (reference ref, size_t index)
| operator pixel () const

## Static Protected Member Functions

static size_t | get_shift (size_t index)
static size_t | get_pixels_per_byte ()

## Protected Attributes

reference | m_ref
size_t | m_shift

### template<class pixel, typename reference>
class png::detail::basic_packed_pixel_proxy< pixel, reference >

## Constructor & Destructor Documentation

template<class pixel, typename reference>

png::detail::basic_packed_pixel_proxy< pixel, reference >::basic_packed_pixel_proxy | ( | reference | ref ) | `[inline, explicit]`

template<class pixel, typename reference>

png::detail::basic_packed_pixel_proxy< pixel, reference >::basic_packed_pixel_proxy | ( | reference | ref,
|  | size_t | index
| ) |  | `[inline]`

## Member Function Documentation

template<class pixel, typename reference>

png::detail::basic_packed_pixel_proxy< pixel, reference >::operator pixel | ( | ) | const`[inline]`

template<class pixel, typename reference>

static size_t png::detail::basic_packed_pixel_proxy< pixel, reference >::get_shift | ( | size_t | index ) | `[inline, static, protected]`

template<class pixel, typename reference>

static size_t png::detail::basic_packed_pixel_proxy< pixel, reference >::get_pixels_per_byte | ( | ) | `[inline, static, protected]`

Referenced by png::detail::basic_packed_pixel_proxy< pixel, byte & >::get_shift().

## Member Data Documentation

template<class pixel, typename reference>

reference png::detail::basic_packed_pixel_proxy< pixel, reference >::m_ref`[protected]`

Referenced by png::detail::basic_packed_pixel_proxy< pixel, byte & >::operator pixel().

template<class pixel, typename reference>

size_t png::detail::basic_packed_pixel_proxy< pixel, reference >::m_shift`[protected]`

Referenced by png::detail::basic_packed_pixel_proxy< pixel, byte & >::operator pixel(), and png::detail::packed_pixel_proxy< pixel >::packed_pixel_proxy().

The documentation for this class was generated from the following file:

- pixel_buffer.hpp